Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
instagram
/
profile
Get Instagram profile
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/instagram/profile \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "username": "instagram",
  "maxPosts": 100.5
}
'
{
  "data": {
    "username": "<string>",
    "instagram_user_id": "<string>",
    "display_name": "<string>",
    "bio": "<string>",
    "profile_url": "<string>",
    "profile_picture_url": "<string>",
    "website_url": "<string>",
    "followers_count": 123,
    "following_count": 123,
    "posts_count": 123,
    "is_verified": true,
    "is_business_account": true,
    "is_private": true
  },
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/instagram/profile

Fetch an Instagram user’s profile information.
Retrieve an Instagram user’s profile metadata.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/instagram/profile \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"username": "instagram"}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
username
string
required
Example:

"instagram"

maxPosts
number
Required range: 1 <= x <= 200

Response

Instagram profile data.

data
object
required
meta
object
required